Microsimulation API: /home/marcle/src/R/microsimulation/src/init.c File Reference

Microsimulation API

Functions | Variables
/home/marcle/src/R/microsimulation/src/init.c File Reference
`#include <R.h>`
`#include <Rinternals.h>`
`#include <stdlib.h>`
`#include <R_ext/Rdynload.h>`
Include dependency graph for init.c:

Go to the source code of this file.

## Functions
void | r_get_user_random_seed (void *)
void | r_next_rng_substream ()
| A utility function to move to the next user random stream for the simulation. More...
void | r_rng_advance_substream (void *, void *)
void | r_set_user_random_seed (void *)
void | r_create_current_stream ()
| A utility function to create the current_stream. Used when initialising the microsimulation package in R. More...
void | r_remove_current_stream ()
| A utility function to remove the current_stream. Used when finalising the microsimulation package in R. More...
SEXP | callCalibrationSimulation (SEXP)
SEXP | callIllnessDeath (SEXP)
SEXP | callPersonSimulation (SEXP, SEXP)
SEXP | callSimplePerson (SEXP)
SEXP | callSimplePerson2 (SEXP)
SEXP | pqueue__cancel (SEXP, SEXP)
SEXP | pqueue__clear (SEXP)
SEXP | pqueue__empty (SEXP)
SEXP | pqueue__new (SEXP)
SEXP | pqueue__pop (SEXP)
SEXP | pqueue__push (SEXP, SEXP, SEXP)
void | R_init_microsimulation (DllInfo *dll)

## Variables
static const R_CMethodDef | CEntries []
static const R_CallMethodDef | CallEntries []

## Function Documentation

## ◆ callCalibrationSimulation()

SEXP callCalibrationSimulation | ( | SEXP |  | ) |

## ◆ callIllnessDeath()

SEXP callIllnessDeath | ( | SEXP |  | ) |

Definition at line 73 of file illness-death.cpp.

## ◆ callPersonSimulation()

SEXP callPersonSimulation | ( | SEXP | ,
|  | SEXP |
| ) |  |

## ◆ callSimplePerson()

SEXP callSimplePerson | ( | SEXP |  | ) |

## ◆ callSimplePerson2()

SEXP callSimplePerson2 | ( | SEXP |  | ) |

## ◆ pqueue__cancel()

SEXP pqueue__cancel | ( | SEXP | ,
|  | SEXP |
| ) |  |

Definition at line 146 of file pqueue.cpp.

## ◆ pqueue__clear()

SEXP pqueue__clear | ( | SEXP |  | ) |

Definition at line 158 of file pqueue.cpp.

## ◆ pqueue__empty()

SEXP pqueue__empty | ( | SEXP |  | ) |

Definition at line 153 of file pqueue.cpp.

## ◆ pqueue__new()

SEXP pqueue__new | ( | SEXP |  | ) |

Definition at line 128 of file pqueue.cpp.

## ◆ pqueue__pop()

SEXP pqueue__pop | ( | SEXP |  | ) |

Definition at line 141 of file pqueue.cpp.

## ◆ pqueue__push()

SEXP pqueue__push | ( | SEXP | ,
|  | SEXP | ,
|  | SEXP |
| ) |  |

Definition at line 134 of file pqueue.cpp.

## ◆ r_create_current_stream()

void r_create_current_stream | ( |  | ) |

A utility function to create the current_stream. Used when initialising the microsimulation package in R.

Definition at line 32 of file microsimulation.cc.

## ◆ r_get_user_random_seed()

void r_get_user_random_seed | ( | void * |  | ) |

## ◆ R_init_microsimulation()

void R_init_microsimulation | ( | DllInfo * | dll | ) |

Definition at line 56 of file init.c.

## ◆ r_next_rng_substream()

void r_next_rng_substream | ( |  | ) |

A utility function to move to the next user random stream for the simulation.

Definition at line 60 of file microsimulation.cc.

## ◆ r_remove_current_stream()

void r_remove_current_stream | ( |  | ) |

A utility function to remove the current_stream. Used when finalising the microsimulation package in R.

Definition at line 38 of file microsimulation.cc.

## ◆ r_rng_advance_substream()

void r_rng_advance_substream | ( | void * | ,
|  | void * |
| ) |  |

## ◆ r_set_user_random_seed()

void r_set_user_random_seed | ( | void * |  | ) |

## Variable Documentation

## ◆ CallEntries

const R_CallMethodDef CallEntries[]
| static

Initial value:
= {
{"callCalibrationSimulation", (DL_FUNC) &callCalibrationSimulation, 1},
{".callIllnessDeath", (DL_FUNC) &callIllnessDeath, 1},
{".callPersonSimulation", (DL_FUNC) &callPersonSimulation, 2},
{".callSimplePerson", (DL_FUNC) &callSimplePerson, 1},
{".callSimplePerson2", (DL_FUNC) &callSimplePerson2, 1},
{"pqueue__cancel", (DL_FUNC) &pqueue__cancel, 2},
{"pqueue__clear", (DL_FUNC) &pqueue__clear, 1},
{"pqueue__empty", (DL_FUNC) &pqueue__empty, 1},
{"pqueue__new", (DL_FUNC) &pqueue__new, 1},
{"pqueue__pop", (DL_FUNC) &pqueue__pop, 1},
{"pqueue__push", (DL_FUNC) &pqueue__push, 3},
{NULL, NULL, 0}
}

Definition at line 41 of file init.c.

## ◆ CEntries

const R_CMethodDef CEntries[]
| static

Initial value:
= {
{"r_get_user_random_seed", (DL_FUNC) &r_get_user_random_seed, 1},
{"r_next_rng_substream", (DL_FUNC) &r_next_rng_substream, 0},
{"r_rng_advance_substream", (DL_FUNC) &r_rng_advance_substream, 2},
{"r_set_user_random_seed", (DL_FUNC) &r_set_user_random_seed, 1},
{"r_create_current_stream", (DL_FUNC) &r_create_current_stream, 0},
{"r_remove_current_stream", (DL_FUNC) &r_remove_current_stream, 0},
{NULL, NULL, 0}
}

Definition at line 31 of file init.c.

callCalibrationSimulation
SEXP callCalibrationSimulation(SEXP)
r_remove_current_stream
void r_remove_current_stream()
A utility function to remove the current_stream. Used when finalising the microsimulation package in ...
Definition: microsimulation.cc:38
callSimplePerson
SEXP callSimplePerson(SEXP)
pqueue__new
SEXP pqueue__new(SEXP)
Definition: pqueue.cpp:128
pqueue__push
SEXP pqueue__push(SEXP, SEXP, SEXP)
Definition: pqueue.cpp:134
r_set_user_random_seed
void r_set_user_random_seed(void *)
r_next_rng_substream
void r_next_rng_substream()
A utility function to move to the next user random stream for the simulation.
Definition: microsimulation.cc:60
pqueue__cancel
SEXP pqueue__cancel(SEXP, SEXP)
Definition: pqueue.cpp:146
callPersonSimulation
SEXP callPersonSimulation(SEXP, SEXP)
pqueue__clear
SEXP pqueue__clear(SEXP)
Definition: pqueue.cpp:158
r_rng_advance_substream
void r_rng_advance_substream(void *, void *)
r_create_current_stream
void r_create_current_stream()
A utility function to create the current_stream. Used when initialising the microsimulation package i...
Definition: microsimulation.cc:32
callSimplePerson2
SEXP callSimplePerson2(SEXP)
pqueue__pop
SEXP pqueue__pop(SEXP)
Definition: pqueue.cpp:141
callIllnessDeath
SEXP callIllnessDeath(SEXP)
Definition: illness-death.cpp:73
r_get_user_random_seed
void r_get_user_random_seed(void *)
pqueue__empty
SEXP pqueue__empty(SEXP)
Definition: pqueue.cpp:153